[Pythonmac-SIG] Re: ANN: Tcl/Tk Aqua 8.4.4

dave wilbur dpwildboar at yahoo.com
Sun Aug 17 11:36:35 EDT 2003


hum...  well for everything else it is using the
proper gcc... 

here is all the gcc info you mentioned:

[HazardousWaste:~] wildboar% ls -al `which gcc`
lrwxr-xr-x  1 root  wheel  7 Aug 15 01:50 /usr/bin/gcc
-> gcc-3.3
[HazardousWaste:~] wildboar% ls -al /usr/bin/gcc*
lrwxr-xr-x  1 root  wheel       7 Aug 15 01:50
/usr/bin/gcc -> gcc-3.3
-r-xr-xr-x  1 root  wheel  131280 Aug 15 01:47
/usr/bin/gcc-3.3
-r-xr-xr-x  1 root  wheel  117932 Aug 15 01:46
/usr/bin/gcc2
-r-xr-xr-x  1 root  wheel  135348 Aug 15 01:46
/usr/bin/gcc3
[HazardousWaste:~] wildboar% sudo gcc_select 3.3
Password:
You are already using gcc version 3.3 as the default
compiler.
[HazardousWaste:~] wildboar% 

so... this implies that when you do the following:

set ver="8.4.4"
make -C tcl${ver}/macosx
make -C tk${ver}/macosx

that when it is CompileC it is using gcc2 for some
reason vs just using gcc.  anyone know where CompileC
defines how it invokes gcc?

dave


--- Brian Lenihan <brian_l at mac.com> wrote:
> 
> On Friday, August 15, 2003, at 9:25 AM, dave wilbur
> wrote:
> >
> > [Hazardous Waste:~] wildboar% gcc -v
> > Reading specs from
> > /usr/libexec/gcc/darwin/ppc/3.3/specs
> > Thread model: posix
> > gcc version 3.3 20030304 (Apple Computer, Inc.
> build
> > 1435)
> >
> >     /usr/bin/gcc2  -c
> 
> You aren't using 3.3.  You appear to have a borked
> install of the dev 
> tools.  Try running sudo gcc_select 3.3 and check
> /usr/bin/gcc* to make 
> sure gcc -> gcc-3.3
> 
> 

__________________________________
Do you Yahoo!?
Yahoo! SiteBuilder - Free, easy-to-use web site design software
http://sitebuilder.yahoo.com



More information about the Pythonmac-SIG mailing list